Subject: RE: Cygwin/XFree86 logged into KDE3 causes strange Cygwin error
From: "Harold Hunt" <[email-masked]>
To: "Harold Hunt" <[email-masked]>, "cygx" <[email-masked]>
Cc: "cygwin" <[email-masked]>
Date: Fri, 5 Apr 2002 20:22:26 -0500

Oh yeah, by "sketchy" I meant that after it happens a few times and I switch
the focus away from Cygwin/XFree86 two things happen:

1) Cygwin/XFree86 freezes solid.

2) The Windows mouse cursor disappears and the Windows mouse doesn't work
until I reboot.  The mouse doesn't even start to work again when you press
Ctrl+Alt+Del and get the Windows Security box that usually works perfectly
even when programs have crashed.

Yeah... that's pretty sketchy.

Harold

> -----Original Message-----
> From: [email-masked]
> [mailto:[email-masked]]On Behalf Of Harold Hunt
> Sent: Friday, April 05, 2002 8:15 PM
> To: cygx
> Cc: cygwin
> Subject: Cygwin/XFree86 logged into KDE3 causes strange Cygwin error
>
>
> This is the first time I have every seen anything like this in
> Cygwin/XFree86.
>
> I just installed KDE3 on my Linux box and when I login via XDMCP and run
> Konsole I get this error message in Windows:
>
> ---------------------------
> Error
> ---------------------------
> Failed assertion
> 	fds_on_hold != NULL
> at line 643 of file
> /cygnus/netrel/src/cygwin-1.3.10-1/winsup/cygwin/dtable.cc
> ---------------------------
> OK
> ---------------------------
>
>
> So far this has happened only when I launch Konsole.
> Cygwin/XFree86 doesn't
> crash when this happens, but things seem to get sketchy after it happens a
> few times.
>
> Any ideas?
>
> Harold
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/